Result class

- « Expression::__construct

- Result::__construct »

- PHP Manual
- Mysql_xdevapi
- Result class

# Result class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

class mysql_xdevapi\Result implements mysql_xdevapi\BaseResult, Traversable {
/* Methods */
public getAffectedItemsCount(): int
public getAutoIncrementValue(): int
public getGeneratedIds(): array
public getWarnings(): array
public getWarningsCount(): int
}

## Table of Contents

- Result::__construct — Result constructor
- Result::getAffectedItemsCount — Get affected row count
- Result::getAutoIncrementValue — Get autoincremented value
- Result::getGeneratedIds — Get generated ids
- Result::getWarnings — Get warnings from last operation
- Result::getWarningsCount — Get warning count from last operation